close all
clear all
clc
% Driver script for solving the 1D KdV equation

Globals1D;

% Polynomial order used for approximation 
N = 4;
K = 30;
FinalTime = 12;
cheat = 1;

% Read in Mesh
Lx = 60;
[Nv, VX, K, EToV] = MeshGen1D(0,Lx,40);

% Initialize solver and construct grid and metric
StartUp1D;

% Set initial conditions
x0 = 10;%max(x(:))/2;
c = 3;
x02 = x0+10;
c2 = 0.5;
soliton = @(x,t,c,x0) c/2*sech(0.5*sqrt(c)*(x-c*t-x0)).^2;
ufun = @(x,t) soliton(x,t,c,x0) + soliton(x,t,c2,x02);
t = 0;

if cheat
    u0 = ufun(x,t);
    t = -8;
while t > -10
    t = t + 0.05;
    plot(x,ufun(x,t),'b')
    axis([min(x(:)) max(x(:)) 0 max(u0(:))*1.1])
%     title(sprintf('Time=%.2f',t))
    drawnow
    if t>25
        t = t-33;
    end
end
end
return
u = ufun(x,t);% + ufun2(x,t);

% Solve Problem
[u,time,tmp,dt,MM] = KdV1D(u,FinalTime,ufun);

[X,T] = meshgrid(x(:)',((1:size(tmp,2))-1)*MM*dt);
mesh(X,T,tmp')
material shiny
view([-14 68])
axis off

% save KdVTest01 N K dt MM tmp x
